<?xml version="1.0" encoding="UTF-8" ?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml"
      xmlns:ui="http://xmlns.jcp.org/jsf/facelets"
      xmlns:h="http://xmlns.jcp.org/jsf/html"
      xmlns:f="http://xmlns.jcp.org/jsf/core"
      xmlns:p="http://primefaces.org/ui">

    <ui:composition template="/template_1.xhtml">
        <ui:define name="title">
            <h:outputText value="Crear nuevo Departamento"></h:outputText>
        </ui:define>
        <ui:define name="bodys">
<!--            <h:panelGroup id="messagePanel" layout="block">
                <h:messages errorStyle="color: red" infoStyle="color: green" layout="table"/>
            </h:panelGroup>-->
            <h:form>
                <h:panelGrid columns="2">
                    <h:outputLabel value="#{bundle.CreateDepartamentosLabel_departamentoNombre}" for="departamentoNombre" />
                    <h:inputText id="departamentoNombre" value="#{departamentosController.selected.departamentoNombre}" title="#{bundle.CreateDepartamentosTitle_departamentoNombre}" required="true" requiredMessage="#{bundle.CreateDepartamentosRequiredMessage_departamentoNombre}"/>
                </h:panelGrid>
                <br />
              <p:commandButton action="#{departamentosController.create}" value="#{bundle.CreateDepartamentosSaveLink}" process="@this"
                                  ajax="false" update=":lista_departamentos:tablaDepartamentos"/>
            </h:form>
        </ui:define>
    </ui:composition>

</html>
